<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet"
            integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">
        <link rel="stylesheet" href="employee.css">
    </head>
    <body>
        <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
            <div class="container-fluid">
              <a class="navbar-brand">Employee Reimbursement System</a>
              <button class="navbar-toggler" type="button" data-bs-toggle="collapse" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
              </button>
              <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                  <li class="nav-item">
                    <a class="nav-link" aria-current="page" href="login.html">Logout</a>
                  </li>
                </ul>
              </div>
            </div>
          </nav>
        <div class="bg-light">
            <div class="row">
                <div class="col-lg-4" id="employeeInformation">
                    <h3 class="text-dark">Personal Information</h3>
                    <table class="table table-borderless">
                        <tr>
                            <td>
                                <label for="userName">User Name</label>
                            </td>
                            <td>
                                <input type="text" class="form-control" id="userNameTxt" disabled>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label for="firstName">First Name</label>
                            </td>
                            <td>
                                <input type="text" class="form-control" id="firstNameTxt" disabled>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label for="lastName">Last Name</label>
                            </td>
                            <td> 
                                <input type="text" class="form-control" id="lastNameTxt" disabled>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label for="birthday">Birthday</label>
                            </td>
                            <td>
                                <input type="text" class="form-control" id="birthdayTxt" disabled>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label for="totalReimbursement">Total Reimbursement</label>
                            </td>
                            <td>
                                <input type="text" class="form-control" id="totalReimbursementTxt" disabled>
                            </td>
                        </tr>
                    </table>
                </div>
                <div class="col-lg-4" id="pendingRequestsDisplay">
                    <h3 class="text-dark">Pending Requests</h3>
                    <table class="table" id="pendingTable">
                        <tr>
                            <th>Amount</th>
                            <th>Status</th>
                        </tr>
                    </table>
                    <div class="modal" id="newRequestModal" tabindex="-1">
                        <div class="modal-dialog">
                          <div class="modal-content">
                            <div class="modal-header">
                              <h5 class="modal-title">New Request</h5>
                              <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                            </div>
                            <div class="modal-body">
                                <h5 class="text-dark">How much would you like to request?</h3>
                                <table class="table table-borderless">
                                    <tr>
                                        <td class="text-dark">
                                            <label class="form-label" for="requestedAmount">Amount</label>
                                        </td>
                                        <td>
                                            <input type="text" class="form-control" id="requestedAmountTxt" placeholder="$0.00">
                                        </td>
                                    </tr>
                                </table>
                            </div>
                            <div class="modal-footer">
                              <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                              <button type="button" id="btnSubmitNewRequest"class="btn btn-primary">Submit Request</button>
                            </div>
                          </div>
                        </div>
                      </div>
                    <button class="btn btn-success" id="btnOpenNewRequest" data-toggle="modal" data-target="#newRequestModal">Open New Request</button>
                </div>
                <div class="col-lg-4" id="resolvedRequestsDisplay">
                    <h3 class="text-dark">Resolved Requests</h3>
                    <table class="table" id="resolvedTable">
                        <tr>
                            <th>Amount</th>
                            <th>Status</th>
                        </tr>
                    </table>
                </div>
            </div>
        </div>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js"
            integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW"
            crossorigin="anonymous"></script>
            <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
        <script src="employee.js"></script>
    </body>
</html>